##  for PCLinuxOS  ##

%define ver 1.3.3
%define rel 6

%define git 1
%define git_date 20140501
%if %{git}
%define realrel %{rel}.git%{git_date}.nora17
%else
%define realrel %{rel}.nora17
%endif

%define ibus_version 1.5.16

Name:    ibus-qt
Summary: ibus qt4 input method plugin
Summary(ja): IBus の Qt4 用プラグイン
Version: %{ver}
Release: %{realrel}
Group:   System/Internationalization
License: GPLv2+
URL:     http://code.google.com/p/ibus/

%if %{git}
Source0: %{name}-git%{git_date}.tar.xz
%else
Source0: http://ibus.googlecode.com/files/ibus-qt-%{version}-Source.tar.xz
%endif

# Patch1 from openSUSE for gcc7
Patch1: fix-keysym-type.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: ibus-devel >= %{ibus_version}
BuildRequires: libqt4-devel >= 4.5
BuildRequires: libdbus-devel >= 1.2
BuildRequires: libicu-devel >= 4.0
BuildRequires: doxygen >= 1.6
Requires: ibus >= %{ibus_version}
Requires: qt4-common >= 4.5
Requires: dbus >= 1.2
Requires: icu >= 4.0
Obsoletes: ibus-qt4

%description
IBus is a next generation input framework.
This package contains qt4 input method plugin.

%description -l ja
IBus の Qt4 用プラグイン

# ------------------------------------------------------------

%package devel
Group:   System/Internationalization
Summary: Development files for ibus-qt
Requires: %{name} = %{version}-%{release}
Obsoletes: ibus-qt4-devel

%description devel
This package contains development files for ibus-qt.

# ------------------------------------------------------------


%prep
%if %{git}
%setup -q -n %{name}-git%{git_date}
%else
%setup -q -n ibus-qt-%{version}-Source
%endif

%patch1 -p1


%build
%cmake_qt4 -DLIBDIR=%{_libdir}
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

rm -rf $RPM_BUILD_ROOT%{_docdir}


%files
%defattr(-,root,root)
%doc AUTHORS README INSTALL
%{_libdir}/libibus-qt.so.*
%{_libdir}/qt4/plugins/inputmethods/libqtim-ibus.so

%files devel
%defattr(-,root,root)
%{_includedir}/ibus-qt
%{_libdir}/libibus-qt.so


%changelog
* Sat Sep 16 2017 tomcat <> 1.3.3-6.git20140501
- add Patch1 from openSUSE for gcc7
- use %%cmake_qt4 instead of cmake
- use %%make_build instead of %%make

* Tue Nov 22 2016 tomcat <> 1.3.3-5.git20140501
- rebuild

* Mon Aug 08 2016 tomcat <> 1.3.3-4.git20140501
- rebuild

* Thu Jan 21 2016 tomcat <> 1.3.3-3.git20140501
- rebuild

* Wed Sep 23 2015 tomcat <> 1.3.3-2.git20140501
- rebuild

* Tue Jan 20 2015 tomcat <> 1.3.3-1.git20140501
- update to git.20140501

* Wed Apr 30 2014 tomcat <> 1.3.3-0.1.157
- update to 1.3.3
- build with ibus-1.5.7

* Wed Apr 02 2014 tomcat <> 1.3.2-3.156
- rebuild with ibus-1.5.6

* Fri Nov 29 2013 tomcat <> 1.3.2-2.142
- change package name from ibus-qt4 to ibus-qt
- add 'Obsoletes:ibus-qt4'
- update requires ibus version to 1.5.4.is.1.4.2

* Wed Jul 10 2013 tomcat <> 1.3.2-1nora13
- update to 1.3.2

* Fri Sep 14 2012 tomcat <> 1.3.1-9nora12
- rebuild against ibus-1.4.2

* Mon Jun 18 2012 tomcat <> 1.3.1-8nora12
- rebuild

* Tue Feb 07 2012 tomcat <> 1.3.1-7nora12
- rebuild against ibus-1.4.1

* Sun Sep 25 2011 tomcat <> 1.3.1-6nora11
- rebuild against ibus-1.4.0

* Sun Jul 03 2011 tomcat <> 1.3.1-5nora11
- rebuild

* Fri Apr 08 2011 tomcat <> 1.3.1-4nora11
- rebuild

* Thu Mar 31 2011 tomcat <> 1.3.1-3nora11
- rebuild

* Fri Sep 17 2010 tomcat <> 1.3.1-2nora102
- rebuild

* Thu Aug 19 2010 tomcat <> 1.3.1-1nora102
- update to 1.3.1
- remove Patch0

* Sat Jun 26 2010 tomcat <> 1.3.0-2.1nora101
- rebuild against icu-4.4

* Mon May 17 2010 tomcat <> 1.3.0-2nora101
- rebuild against ibus-1.3.3

* Tue May 11 2010 tomcat <> 1.3.0-1nora101
- update to 1.3.0

* Mon Apr 19 2010 tomcat <> 1.2.0.20091217-3nora10
- add Patch0 from Mandriva
- sprit ibus-qt4-devel sub package
- fix %%files section

* Sun Mar 07 2010 tomcat <> 1.2.0.20091217-2nora10
- rebuild for PCLOS 2010 beta 1

* Sat Dec 19 2009 tomcat <> 1.2.0.20091217-1nora10
- update to 1.2.0.20091217
- add `BR: doxygen >= 1.6`

* Sun Dec 06 2009 tomcat <> 1.2.0.20091206-1nora10
- update to 1.2.0.20091206

* Sun Nov 01 2009 tomcat <> 1.2.0.20091014-1nora10
- initial build for PCLinuxOS
- spec file import from Mandriva 2010.0
- add Japanese summary and description

